Skip to main content

Register a Warranty

POST 

/api/public/repairs/registrations

Register a Warranty.

Request fields:

  • email (required): email:filter, max:190
  • name (optional): string, max:120
  • phone (optional): string, max:40
  • product_id (required): integer
  • serial (optional): string, max:100
  • barcode (optional): string, max:100
  • purchased_on (optional): date_format:Y-m-d, before_or_equal:today
  • purchase_source (optional): Enum:in:"order","shopify","amazon","retail_store","wholesale_partner","gift","other"
  • retailer_name (optional): string, max:120
  • order_number (optional): string, max:100
  • receipt (optional): file, mimes:jpg,jpeg,png,webp,heic,heif,pdf, max:10240
  • website (optional): string, max:200 Authentication: none (public, rate limited).

Request​

Responses​

OK

Response Headers
    Content-Type